# $Revision: 1.12.2.2 $, $Date: 2007/04/19 19:05:31 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		xfce_version	4.4.0
Summary:	Xfce file manager
Summary(pl):	Zarzdca plikw Xfce
Name:		Thunar
Version:	0.8.0
Release:	2
License:	GPL v2 / LGPL v2
Group:		X11/Applications
Source0:	http://www.xfce.org/archive/xfce-%{xfce_version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	9f7b0945d6a235391049f6818fb4d188
Patch0:		%{name}-desktop.patch
URL:		http://thunar.xfce.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	dbus-glib-devel >= 0.62
# XXX: gamin (>= 0.1.0) is preferred over fam
BuildRequires:	fam-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.10.3
BuildRequires:	gtk+2-devel >= 2:2.8.20
BuildRequires:	gtk-doc >= 1.6
BuildRequires:	hal-devel >= 0.5.7
BuildRequires:	intltool
BuildRequires:	libexif-devel >= 0.6.13
BuildRequires:	libexo-devel >= 0.3.2
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.2.12
BuildRequires:	libxfce4util-devel >= %{xfce_version}
BuildRequires:	pcre-devel >= 6.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	xfce4-panel-devel >= %{xfce_version}
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	%{name}-libs = %{version}-%{release}
Requires:	hal >= 0.5.7
Requires:	libexo >= 0.3.2
Requires:	shared-mime-info >= 0.15
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Thunar is a modern file manager, aiming to be easy-to-use and fast.

%description -l pl
Thunar jest nowoczesnym zarzdc plikw, nakierowanym na atwo i
szybko uycia.

%package apidocs
Summary:	Thunar API documentation
Summary(pl):	Dokumentacja API Thunar
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Thunar API documentation.

%description apidocs -l pl
Dokumentacja API Thunar.

%package libs
Summary:	Thunar libraries
Summary(pl):	Biblioteki Thunar
Group:		Libraries

%description libs
Thunar libraries.

%description libs -l pl
Biblioteki Thunar.

%package devel
Summary:	Header files for Thunar libraries
Summary(pl):	Pliki nagwkowe bibliotek Thunar
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	GConf2-devel >= 2.14.0
Requires:	dbus-glib-devel >= 0.62
Requires:	fam-devel
Requires:	hal-devel >= 0.5.7
Requires:	libexo-devel >= 0.3.2
Requires:	libjpeg-devel

%description devel
This is the package containing the header files for Thunar libraries.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe biblioteki Thunar.

%package static
Summary:	Static Thunar libraries
Summary(pl):	Statyczne biblioteki Thunar
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Thunar libraries.

%description static -l pl
Statyczne biblioteki Thunar.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-dbus \
	--enable-exif \
	--enable-gnome-thumbnailers \
	--enable-gtk-doc \
	--enable-pcre \
	--enable-startup-notification \
	--with-html-dir=%{_gtkdocdir} \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/thunarx-1/*.{a,la}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/xdg/Thunar
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/Thunar/*.xml
%attr(755,root,root) %{_libdir}/ThunarBulkRename
%attr(755,root,root) %{_libdir}/ThunarHelp
%attr(755,root,root) %{_libdir}/thunar-vfs-*
%attr(755,root,root) %{_libdir}/thunar-sendto-email
%dir %{_libdir}/thunarx-1
%attr(755,root,root) %{_libdir}/thunarx-1/*.so
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/thunar-tpa

%{_datadir}/Thunar
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/dbus-1/services/*.service
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*
%{_pixmapsdir}/Thunar
%{_mandir}/man1/Thunar*

# FIXME: maybe it's common dir?
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/*.desktop

%dir %{_docdir}/Thunar
# move it to proper place
%{_docdir}/Thunar/README*

%dir %{_docdir}/Thunar/html
%{_docdir}/Thunar/*.txt
%{_docdir}/Thunar/html/C
%{_docdir}/Thunar/html/*.css
%lang(es) %{_docdir}/Thunar/html/es
%lang(eu) %{_docdir}/Thunar/html/eu
%lang(fr) %{_docdir}/Thunar/html/fr
%lang(ja) %{_docdir}/Thunar/html/ja
%lang(pl) %{_docdir}/Thunar/html/pl
%lang(ru) %{_docdir}/Thunar/html/ru
%lang(zh_TW) %{_docdir}/Thunar/html/zh_TW

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/thunar*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/thunar*
%{_pkgconfigdir}/*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Thunar.spec,v $
Revision 1.12.2.2  2007/04/19 19:05:31  megabajt
- added desktop patch
- use %update_desktop_database_post{,un}
- release 2

Revision 1.12.2.1  2007/01/28 23:17:08  megabajt
- Ac deps

Revision 1.12  2007/01/22 15:24:54  megabajt
- updated to 0.8.0 (Xfce 4.4.0)
- added apidocs subpackage

Revision 1.11  2006/12/22 16:01:34  arekm
- rel .2

Revision 1.10  2006/11/06 15:17:46  megabajt
- up to 0.5.0rc2 (Xfce 4.4RC2)
- updated deps

Revision 1.9  2006/09/16 13:47:28  megabajt
- added R: libexo-devel to the devel subpackage

Revision 1.8  2006/09/04 20:12:49  megabajt
- up to 0.4.0rc1
- use rpm macros

Revision 1.7  2006/07/16 17:10:21  freetz
- 0.3.2beta2, updated: deps and file list, updated icon cache, --as-needed
  support

Revision 1.6  2006/05/17 04:28:51  charles
- -devel R: {GConf2,dbus-glib,fam,hal,libjpeg}-devel

Revision 1.5  2006/05/17 03:50:59  charles
- without static_libs bcond
- BR: gettext-devel

Revision 1.4  2006/05/17 03:39:30  charles
- BR: intltool

Revision 1.3  2006/05/09 19:00:07  qboosh
- BR: glib2-devel >= 2.6.4, perl-base, pkgconfig

Revision 1.2  2006/05/04 07:45:10  spider
- cosmetics

Revision 1.1  2006/05/03 18:09:33  freetz
- some Xfce stuff ;)
